[Bug 201656] Review Request: gstm-1.2

bugzilla at redhat.com bugzilla at redhat.com
Thu Aug 10 01:15:01 UTC 2006


Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug report.

Summary: Review Request: gstm-1.2


https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=201656





------- Additional Comments From tibbs at math.uh.edu  2006-08-09 21:05 EST -------
The only rpmlint complaint:

W: gstm mixed-use-of-spaces-and-tabs
  There is a mix of indentation types used in the spec, but I don't know if
there's a particular use that it's complaining about.

What's the point of the BuildRequires: openssh?  That just gives you ssh-keygen
and some documentation; did you mean to BR: openssh-clients instead?  Or,
perhaps, did you mean to Requires: openssh-clients?  Currently there's no SSH
dependency in the final package.

* source files match upstream:
   7fa71b86969d8d695c3b062780a5694e  gstm-1.2.tar.gz
* package meets naming and packaging guidelines.
O specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
? BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* debuginfo package looks complete.
X rpmlint is silent.
? final provides and requires are sane:
   gstm = 1.2-1.fc6
  =
   libICE.so.6()(64bit)
   libORBit-2.so.0()(64bit)
   libSM.so.6()(64bit)
   libX11.so.6()(64bit)
   libart_lgpl_2.so.2()(64bit)
   libatk-1.0.so.0()(64bit)
   libbonobo-2.so.0()(64bit)
   libbonobo-activation.so.4()(64bit)
   libbonoboui-2.so.0()(64bit)
   libcairo.so.2()(64bit)
   libgconf-2.so.4()(64bit)
   libgdk-x11-2.0.so.0()(64bit)
   libgdk_pixbuf-2.0.so.0()(64bit)
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgnome-2.so.0()(64bit)
   libgnome-keyring.so.0()(64bit)
   libgnomecanvas-2.so.0()(64bit)
   libgnomeui-2.so.0()(64bit)
   libgnomevfs-2.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgthread-2.0.so.0()(64bit)
   libgtk-x11-2.0.so.0()(64bit)
   libpango-1.0.so.0()(64bit)
   libpangocairo-1.0.so.0()(64bit)
   libpangoft2-1.0.so.0()(64bit)
   libpopt.so.0()(64bit)
   libxml2.so.2()(64bit)
   libz.so.1()(64bit)
* %check is not present; no test suite upstream.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* GUI app; desktop file looks OK and is installed properly.

-- 
Configure bugmail: https://bugzilla.redhat.com/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.




More information about the package-review mailing list